## org.openmuc.jasn1.ber.types.string
Class BerUTF8String

    java.lang.Object
      org.openmuc.jasn1.ber.types.BerOctetString
          org.openmuc.jasn1.ber.types.string.BerUTF8String

    public class BerUTF8String

extends BerOctetString

Field Summary
`static BerIdentifier` `identifier`

Fields inherited from class org.openmuc.jasn1.ber.types.BerOctetString
`id, octetString`

Constructor Summary
`BerUTF8String()`
`BerUTF8String(byte[] octetString)`
`BerUTF8String(java.lang.String visibleString)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class org.openmuc.jasn1.ber.types.BerOctetString
`decode, encode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public static final BerIdentifier identifier

Constructor Detail

### BerUTF8String

    public BerUTF8String()

### BerUTF8String

    public BerUTF8String(byte[] octetString)

### BerUTF8String

    public BerUTF8String(java.lang.String visibleString)
                  throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BerOctetString`